---
import BaseHead from "../components/BaseHead.astro";
import Header from "../components/Header.astro";
import Footer from "../components/Footer.astro";
import SideBar from "../components/SideBar.astro";
import BgAnimation from "../components/BackgroundAnimation.astro";

import { SITE_TITLE, SITE_DESCRIPTION } from "../config";

const { image, title = SITE_TITLE, description = SITE_DESCRIPTION, includeSidebar = true } = Astro.props;
---

<!DOCTYPE html>
<html lang="en" data-theme="night">
  <head>
    <BaseHead title={title} description={description} image={image} />
  </head>
  <body>
    <div class="bg-base-100 drawer drawer-mobile ">
      <input id="my-drawer" type="checkbox" class="drawer-toggle" />
      <div class="drawer-content flex flex-col bg-base-100">
        <Header title={SITE_TITLE} />
        <div class="md:flex md:justify-center">
          <main class="p-6 pt-10 max-w-[900px]">
            <slot />
          </main>
        </div>
        <Footer />
      </div>
      {includeSidebar && <SideBar />}
    </div>
  </body>
</html>
